import React, {Component} from 'react';
import SideMenu from './components';

import {BrowserRouter as Router} from 'react-router-dom';

import Links from './Links';

class App extends Component {

  handleLinkSelect = link =>
    console.log(`Selected ${link.url}`);

  render() {
    return (
      <Router>
        <div>
          <SideMenu
            links={Links}
            onSelectLink={this.handleLinkSelect}
          />
        </div>
      </Router>
    );
  }
}

export default App;
